Zigbee Module Examples

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
utilities.c File Reference

Miscellaneous utility methods. More...

`#include "../HAL/hal.h"`

## Functions
void | printHexBytes (uint8_t *toPrint, uint16_t numBytes)
void | initializeBuffer (uint8_t *buf, uint16_t len)
void | printBinary (uint8_t n)
char | isAsciiPrintableCharacter (uint8_t c)
uint16_t | getAverage (uint16_t *values, uint8_t numValues)
uint16_t | roundInteger (uint16_t number, uint16_t place)
uint16_t | max (uint16_t values[], uint16_t numValues)
uint16_t | min (uint16_t values[], uint16_t numValues)

## Detailed Description

Miscellaneous utility methods.

Miscellaneous helper utilities.

Rev:
  1642

Author:
  dsmith

Date:
  2012-10-31 11:17:04 -0700 (Wed, 31 Oct 2012)

# Support

Please refer to the wiki at www.anaren.com/air-wiki-zigbee for more information. Additional support is available via email at the following addresses:

- Questions on how to use the product: AIR@a.nosp@m.nare.nosp@m.n.com
- Feature requests, comments, and improvements: featu.nosp@m.rere.nosp@m.quest.nosp@m.s@te.nosp@m.slaco.nosp@m.ntro.nosp@m.ls.co.nosp@m.m
- Consulting engagements: sales.nosp@m.@tes.nosp@m.lacon.nosp@m.trol.nosp@m.s.com

# License

Copyright (c) 2012 Tesla Controls. All rights reserved. This Software may only be used with an Anaren A2530E24AZ1, A2530E24CZ1, A2530R24AZ1, or A2530R24CZ1 module. Redistribution and use in source and binary forms, with or without modification, are subject to the Software License Agreement in the file "anaren_eula.txt"

YOU FURTHER ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL ANAREN MICROWAVE OR TESLA CONTROLS BE LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSE INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

## Function Documentation

uint16_t getAverage | ( | uint16_t * | values,
|  | uint8_t | numValues
| ) |  |

Returns the mean from the array of values

void initializeBuffer | ( | uint8_t * | buf,
|  | uint16_t | len
| ) |  |

Fills the messagePartBuffer with DEADBEEF to aid in debugging

char isAsciiPrintableCharacter | ( | uint8_t | c | ) |

returns >1 if is printable: ASCII values 0x20 (space) through 0x7E (~)

uint16_t max | ( | uint16_t | values[],
|  | uint16_t | numValues
| ) |  |

Returns the maximum value from the array of values

uint16_t min | ( | uint16_t | values[],
|  | uint16_t | numValues
| ) |  |

Returns the minimum value from the array of values

void printBinary | ( | uint8_t | n | ) |

Prints a number in its binary form

uint16_t roundInteger | ( | uint16_t | number,
|  | uint16_t | place
| ) |  |

Rounds an integer to the given number of places